> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kukkingu.software/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete contact

> Deletes a contact by its ID.



## OpenAPI

````yaml https://api.contracting.kukkingu.software/api/v1/docs.json delete /api/v1/contacts/{contactId}
openapi: 3.1.0
info:
  title: Contracting Backend API
  version: 0.1.0
  description: API documentation for the Contracting backend service.
servers:
  - url: https://api.contracting.kukkingu.software
    description: API server
security:
  - bearerAuth: []
paths:
  /api/v1/contacts/{contactId}:
    delete:
      tags:
        - Contacts
      summary: Delete contact
      description: Deletes a contact by its ID.
      parameters:
        - schema:
            type: string
            description: The ID of the contact.
            example: con_xlbg6ubfio7tzvsijyp5794c
          in: path
          name: contactId
          required: true
          description: The ID of the contact.
      responses:
        '204':
          description: Default Response
          content:
            application/json:
              schema:
                description: >-
                  No response body for successful operations that return HTTP
                  204.
                not: {}
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    default: Unauthorized
                    description: Machine-readable error code.
                    example: Unauthorized
                    type: string
                  message:
                    default: Unauthorized
                    description: Human-readable error message.
                    example: Unauthorized
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
                description: Error response for requests without valid authentication.
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    default: NotFound
                    description: Machine-readable error code.
                    example: NotFound
                    type: string
                  message:
                    default: Not Found
                    description: Human-readable error message.
                    example: Not Found
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
                description: Error response when the requested resource does not exist.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````